<?php
require_once 'modelos/Modelo.php';
require_once 'modelos/DAO.php';

class MProductos extends Modelo{
    public $DAO;

    public function __construct(){
        $this->DAO=new DAO();
    }

    public function buscarProductos($filtros=array()){
        $ftexto='';
        $factivo='';
        extract($filtros);

        $SQL="SELECT * FROM productos WHERE 1=1 ";
        if($factivo!=''){
            $SQL.=" AND activo='$factivo' ";
        }

        $productos=$this->DAO->consultar($SQL);

        return $productos;
    }

}//FIN class MProductos


?>